package org.jboss.security.srp.jaas;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.jboss.security.SimplePrincipal;

public class SRPPrincipal extends SimplePrincipal {
  static final long serialVersionUID = -7123071794402068344L;
  
  private int sessionID;
  
  public SRPPrincipal(String name) {
    this(name, 0);
  }
  
  public SRPPrincipal(String name, int sessionID) {
    super(name);
    this.sessionID = sessionID;
  }
  
  public SRPPrincipal(String name, Integer sessionID) {
    super(name);
    this.sessionID = (sessionID != null) ? sessionID.intValue() : 0;
  }
  
  public int getSessionID() {
    return this.sessionID;
  }
  
  public boolean equals(Object obj) {
    org.jboss.security.srp.jaas.SRPPrincipal p = (org.jboss.security.srp.jaas.SRPPrincipal)obj;
    return (getName().equals(p.getName()) && this.sessionID == getSessionID());
  }
  
  public int hashCode() {
    return getName().hashCode() + this.sessionID;
  }
}
